%undefine __cmake_in_source_build

Summary:       Audio Meta-Data Library
Name:          taglib    
Version:       1.12
Release:       4%{?dist}
License:       LGPLv2 or MPLv1.1
URL:           http://taglib.github.io/
Source0:       http://taglib.github.io/releases/taglib-%{version}.tar.gz

Patch3000:     taglib-1.12-multilib.patch

BuildRequires: gcc gcc-c++ cmake pkgconfig zlib-devel cppunit-devel

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats.
Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags
and Vorbis comments in FLAC, MPC, Speex, WavPack, TrueAudio files, as well as APE Tags.

%package devel
Summary: Development files for %{name} 
Requires: %{name} = %{version}-%{release}

%description devel
Files needed when building software with %{name}.

%prep
%autosetup -n taglib-%{version} -p1

%build
%{cmake} \
  -DBUILD_TESTS:BOOL=ON \
  -DCMAKE_BUILD_TYPE:STRING="Release"

%cmake_build

%install
%cmake_install

%check
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion taglib)" = "%{version}"
test "$(pkg-config --modversion taglib_c)" = "%{version}"
%ctest

%files
%license COPYING.LGPL COPYING.MPL
%doc AUTHORS NEWS
%{_libdir}/libtag.so.1*
%{_libdir}/libtag_c.so.0*

%files devel
%doc examples
%{_bindir}/taglib-config
%{_includedir}/taglib/
%{_libdir}/libtag.so
%{_libdir}/libtag_c.so
%{_libdir}/pkgconfig/taglib.pc
%{_libdir}/pkgconfig/taglib_c.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 1.12-1
- initial build
